Subject: Re: [PATCH v2 09/10] midx: pass down `hash_algo` to `get_split_midx_filename_ext`

From: Taylor Blau <[email-masked]>
Date: Wed, 20 Nov 2024 17:23:29 -0500

On Wed, Nov 20, 2024 at 07:15:40PM +0100, Christian Couder wrote:
> On Tue, Nov 19, 2024 at 4:47 PM Karthik Nayak <[email-masked]> wrote:
> >
> > Similar to the previous commit, pass down `hash_algo` to
> > `get_split_midx_filename_ext` and use `hash_to_hex_algop`.
>
> I think we prefer explanations in commit messages to be a bit more
> self-contained, and not to rely much only on other commit messages, or
> links to a mailing list thread on a mailing list archive, or other
> external content. It's better to err on the side of copying more.

I agree, but in this instance think it would be better to simply
combine the two into one. I do not see a reason why these commits should
be split.

Thanks,
Taylor